Skip to content

Return safe metadata for the configured external provider.

GET
/api/workspace/auth/external/provider
curl --request GET \
--url https://example.com/api/workspace/auth/external/provider

OK

Media typeapplication/json

Public login metadata that does not disclose protocol credentials.

object
IsAvailable
boolean
ProviderKind
integer format: int32
Allowed values: 1 2
DisplayName
string
nullable
SupportsSilentLogin
boolean
DiagnosticCode
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12
Example
{
"ProviderKind": 1,
"DiagnosticCode": 0
}